public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-python/MechanicalSoup/
@ 2017-01-06  0:12 William Hubbs
  0 siblings, 0 replies; 23+ messages in thread
From: William Hubbs @ 2017-01-06  0:12 UTC (permalink / raw
  To: gentoo-commits

commit:     bef2b64cbf2345a34a581e1a67d06c7fc0005bcf
Author:     William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Tue Jan  3 17:55:55 2017 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Fri Jan  6 00:07:57 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bef2b64c

dev-python/MechanicalSoup: initial ebuild

Package-Manager: Portage-2.3.0, Repoman-2.3.1

 dev-python/MechanicalSoup/Manifest                 |  1 +
 .../MechanicalSoup/MechanicalSoup-0.6.0.ebuild     | 35 ++++++++++++++++++++++
 dev-python/MechanicalSoup/metadata.xml             | 11 +++++++
 3 files changed, 47 insertions(+)

diff --git a/dev-python/MechanicalSoup/Manifest b/dev-python/MechanicalSoup/Manifest
new file mode 100644
index 00000000..8ae8152
--- /dev/null
+++ b/dev-python/MechanicalSoup/Manifest
@@ -0,0 +1 @@
+DIST MechanicalSoup-0.6.0.zip 5286 SHA256 e2b950c11fc5414d246b3c82024272d7ba729ab1f90534fc65fc445a63b7434d SHA512 cc413723514f3beee1267c57c16f6de2c19eb1f64535a60b546d289c7c18d8c4ba752ea61ab0b4a2aead2b56b12639cd226cb32662622515cb40262b7e619c24 WHIRLPOOL 8a36b65b234cecdec5e334d04fce8fcf8b306c205ae7b4b9acb815dc40db63ab3f7e0fc64ac4862295bfe3939a1eeaa189065f6bd57e1a158e2f4e1e168cb6f8

diff --git a/dev-python/MechanicalSoup/MechanicalSoup-0.6.0.ebuild b/dev-python/MechanicalSoup/MechanicalSoup-0.6.0.ebuild
new file mode 100644
index 00000000..fdd6a82
--- /dev/null
+++ b/dev-python/MechanicalSoup/MechanicalSoup-0.6.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5} )
+inherit distutils-r1
+
+if [[ ${PV} = *9999* ]]; then
+	EGIT_REPO_URI="git://github.com/hickford/MechanicalSoup"
+	inherit git-r3
+else
+	SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.zip"
+	KEYWORDS="~amd64"
+fi
+
+DESCRIPTION="a python library for automating interaction with web sites"
+HOMEPAGE="https://pypi.python.org/pypi/MechanicalSoup"
+
+LICENSE="MIT"
+SLOT="0"
+IUSE=""
+
+COMMON_DEPEND="
+	>=dev-python/beautifulsoup-4.0
+	>=dev-python/requests-2.0
+	>=dev-python/six-1.4
+"
+DEPEND="
+${COMMON_DEPEND}
+app-arch/unzip
+	dev-python/setuptools
+"
+RDEPEND="${COMMON_DEPEND}"

diff --git a/dev-python/MechanicalSoup/metadata.xml b/dev-python/MechanicalSoup/metadata.xml
new file mode 100644
index 00000000..b692da6
--- /dev/null
+++ b/dev-python/MechanicalSoup/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>williamh@gentoo.org</email>
+		<name>William Hubbs</name>
+	</maintainer>
+	<maintainer type="project">
+		<email>python@gentoo.org</email>
+	</maintainer>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/MechanicalSoup/
@ 2017-05-11 13:17 Manuel Rüger
  0 siblings, 0 replies; 23+ messages in thread
From: Manuel Rüger @ 2017-05-11 13:17 UTC (permalink / raw
  To: gentoo-commits

commit:     43dc3342bbb35325ed115468bd579b9ff493be79
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Thu May 11 13:17:38 2017 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Thu May 11 13:17:38 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=43dc3342

dev-python/MechanicalSoup: Add python3_6

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 dev-python/MechanicalSoup/MechanicalSoup-0.6.0.ebuild | 17 ++++++++---------
 1 file changed, 8 insertions(+), 9 deletions(-)

diff --git a/dev-python/MechanicalSoup/MechanicalSoup-0.6.0.ebuild b/dev-python/MechanicalSoup/MechanicalSoup-0.6.0.ebuild
index 2bad610f45c..daed886d4c6 100644
--- a/dev-python/MechanicalSoup/MechanicalSoup-0.6.0.ebuild
+++ b/dev-python/MechanicalSoup/MechanicalSoup-0.6.0.ebuild
@@ -14,21 +14,20 @@ else
 	KEYWORDS="~amd64"
 fi
 
-DESCRIPTION="a python library for automating interaction with web sites"
+DESCRIPTION="A python library for automating interaction with web sites"
 HOMEPAGE="https://pypi.python.org/pypi/MechanicalSoup"
 
 LICENSE="MIT"
 SLOT="0"
 IUSE=""
 
-COMMON_DEPEND="
-	>=dev-python/beautifulsoup-4.0
-	>=dev-python/requests-2.0
-	>=dev-python/six-1.4
+RDEPEND="
+	>=dev-python/beautifulsoup-4.0[${PYTHON_USEDEP}]
+	>=dev-python/requests-2.0[${PYTHON_USEDEP}]
+	>=dev-python/six-1.4[${PYTHON_USEDEP}]
 "
 DEPEND="
-${COMMON_DEPEND}
-app-arch/unzip
-	dev-python/setuptools
+	${RDEPEND}
+	app-arch/unzip
+	dev-python/setuptools[${PYTHON_USEDEP}]
 "
-RDEPEND="${COMMON_DEPEND}"


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/MechanicalSoup/
@ 2017-05-12 12:06 Manuel Rüger
  0 siblings, 0 replies; 23+ messages in thread
From: Manuel Rüger @ 2017-05-12 12:06 UTC (permalink / raw
  To: gentoo-commits

commit:     92fe51259df4862103682b71b628162f3024c05f
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Fri May 12 12:03:45 2017 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Fri May 12 12:03:45 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=92fe5125

dev-python/MechanicalSoup: Add python3_6 really this time

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 dev-python/MechanicalSoup/MechanicalSoup-0.6.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/MechanicalSoup/MechanicalSoup-0.6.0.ebuild b/dev-python/MechanicalSoup/MechanicalSoup-0.6.0.ebuild
index daed886d4c6..af9a186cd59 100644
--- a/dev-python/MechanicalSoup/MechanicalSoup-0.6.0.ebuild
+++ b/dev-python/MechanicalSoup/MechanicalSoup-0.6.0.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=6
 
-PYTHON_COMPAT=( python2_7 python3_{4,5} )
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
 inherit distutils-r1
 
 if [[ ${PV} = *9999* ]]; then


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/MechanicalSoup/
@ 2017-07-30  9:15 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2017-07-30  9:15 UTC (permalink / raw
  To: gentoo-commits

commit:     ef82578c588b790725d730e6b5071547bc52997f
Author:     David Hicks <david <AT> hicks <DOT> id <DOT> au>
AuthorDate: Sat Jul 29 10:22:00 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jul 30 09:15:42 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ef82578c

dev-python/MechanicalSoup: use HTTPS for GitHub

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 dev-python/MechanicalSoup/MechanicalSoup-0.6.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/MechanicalSoup/MechanicalSoup-0.6.0.ebuild b/dev-python/MechanicalSoup/MechanicalSoup-0.6.0.ebuild
index af9a186cd59..d1e1817b2c4 100644
--- a/dev-python/MechanicalSoup/MechanicalSoup-0.6.0.ebuild
+++ b/dev-python/MechanicalSoup/MechanicalSoup-0.6.0.ebuild
@@ -7,7 +7,7 @@ PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
 inherit distutils-r1
 
 if [[ ${PV} = *9999* ]]; then
-	EGIT_REPO_URI="git://github.com/hickford/MechanicalSoup"
+	EGIT_REPO_URI="https://github.com/hickford/MechanicalSoup"
 	inherit git-r3
 else
 	SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.zip"


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/MechanicalSoup/
@ 2018-06-27 20:51 Louis Sautier
  0 siblings, 0 replies; 23+ messages in thread
From: Louis Sautier @ 2018-06-27 20:51 UTC (permalink / raw
  To: gentoo-commits

commit:     1ddb65d861936cc706b11ea3007aa5b1df977f96
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 27 18:16:47 2018 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Wed Jun 27 20:49:47 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1ddb65d8

dev-python/MechanicalSoup: fix DESCRIPTION, update metadata

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-python/MechanicalSoup/MechanicalSoup-0.6.0.ebuild | 4 ++--
 dev-python/MechanicalSoup/metadata.xml                | 2 ++
 2 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/dev-python/MechanicalSoup/MechanicalSoup-0.6.0.ebuild b/dev-python/MechanicalSoup/MechanicalSoup-0.6.0.ebuild
index 4a08dd209a0..97cbb3efb4c 100644
--- a/dev-python/MechanicalSoup/MechanicalSoup-0.6.0.ebuild
+++ b/dev-python/MechanicalSoup/MechanicalSoup-0.6.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -14,7 +14,7 @@ else
 	KEYWORDS="~amd64"
 fi
 
-DESCRIPTION="A python library for automating interaction with web sites"
+DESCRIPTION="A python library for automating interaction with websites"
 HOMEPAGE="https://pypi.org/project/MechanicalSoup/"
 
 LICENSE="MIT"

diff --git a/dev-python/MechanicalSoup/metadata.xml b/dev-python/MechanicalSoup/metadata.xml
index 4f81f0257d4..1565f268e77 100644
--- a/dev-python/MechanicalSoup/metadata.xml
+++ b/dev-python/MechanicalSoup/metadata.xml
@@ -10,5 +10,7 @@
 	</maintainer>
 	<upstream>
 		<remote-id type="pypi">MechanicalSoup</remote-id>
+		<remote-id type="github">MechanicalSoup/MechanicalSoup</remote-id>
+		<bugs-to>https://github.com/MechanicalSoup/MechanicalSoup/issues</bugs-to>
 	</upstream>
 </pkgmetadata>


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/MechanicalSoup/
@ 2018-06-27 20:51 Louis Sautier
  0 siblings, 0 replies; 23+ messages in thread
From: Louis Sautier @ 2018-06-27 20:51 UTC (permalink / raw
  To: gentoo-commits

commit:     13d09be7a931f44a19e32988e7fd7dcbd28ec232
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 27 18:12:11 2018 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Wed Jun 27 20:49:47 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=13d09be7

dev-python/MechanicalSoup: bump to 0.10.0, ~x86+doc+examples

Also fix dependencies and add PyPy.

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-python/MechanicalSoup/Manifest                 |  1 +
 .../MechanicalSoup/MechanicalSoup-0.10.0.ebuild    | 65 ++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/dev-python/MechanicalSoup/Manifest b/dev-python/MechanicalSoup/Manifest
index d51a2b62c2f..ebaa6abdf56 100644
--- a/dev-python/MechanicalSoup/Manifest
+++ b/dev-python/MechanicalSoup/Manifest
@@ -1 +1,2 @@
+DIST MechanicalSoup-0.10.0.tar.gz 40111 BLAKE2B cbb09253666850d3ce433f60ed6405585588e6dc7198c58de1cab8ecfad1e1c814433787aefe33dbb490edab5367ffca285d14cf8fbcb2c16e309b957a3a311b SHA512 5fa493abac39c5084dacb67b9dfaa2f8f5af773d3e3aaff48e6240596e863ada30a2fd1e345188c3249fd6e570977aa45b9fd553fe5a549f8430f170613bb866
 DIST MechanicalSoup-0.6.0.zip 5286 BLAKE2B 93a1d124cd45820e425fcb50b2aec04026f7a6f42c7c3f5c93103fbd216c98e36f366a1f7f343dd5561688ac4adb6feacab08ae444f91156348c07a80710a306 SHA512 cc413723514f3beee1267c57c16f6de2c19eb1f64535a60b546d289c7c18d8c4ba752ea61ab0b4a2aead2b56b12639cd226cb32662622515cb40262b7e619c24

diff --git a/dev-python/MechanicalSoup/MechanicalSoup-0.10.0.ebuild b/dev-python/MechanicalSoup/MechanicalSoup-0.10.0.ebuild
new file mode 100644
index 00000000000..808ae332686
--- /dev/null
+++ b/dev-python/MechanicalSoup/MechanicalSoup-0.10.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy python{2_7,3_{4,5,6}} )
+
+inherit distutils-r1
+
+DESCRIPTION="A python library for automating interaction with websites"
+HOMEPAGE="https://pypi.org/project/MechanicalSoup/"
+# https://github.com/MechanicalSoup/MechanicalSoup/pull/217
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples test"
+
+# https://github.com/MechanicalSoup/MechanicalSoup/issues/215
+RESTRICT="test"
+
+RDEPEND="
+	>=dev-python/beautifulsoup-4.0[${PYTHON_USEDEP}]
+	>=dev-python/requests-2.0[${PYTHON_USEDEP}]
+	>=dev-python/six-1.4[${PYTHON_USEDEP}]
+	dev-python/lxml[${PYTHON_USEDEP}]
+"
+DEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+	test? (
+		${RDEPEND}
+		>=dev-python/requests-mock-1.3.0[${PYTHON_USEDEP}]
+		dev-python/pytest[${PYTHON_USEDEP}]
+		dev-python/pytest-httpbin[${PYTHON_USEDEP}]
+		dev-python/pytest-mock[${PYTHON_USEDEP}]
+	)
+"
+
+python_prepare_all() {
+	sed -i "s/'pytest-runner'//" setup.py || die
+	distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+	if use doc; then
+		sphinx-build docs docs/_build/html || die
+		HTML_DOCS=( docs/_build/html/. )
+	fi
+}
+
+python_test() {
+	# Override pytest options to skip coverage and flake8
+	py.test --override-ini="addopts=" \
+		|| die "tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+	if use examples; then
+		docompress -x "/usr/share/doc/${PF}/examples"
+		dodoc -r examples
+	fi
+	distutils-r1_python_install_all
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/MechanicalSoup/
@ 2020-03-07 14:11 Louis Sautier
  0 siblings, 0 replies; 23+ messages in thread
From: Louis Sautier @ 2020-03-07 14:11 UTC (permalink / raw
  To: gentoo-commits

commit:     0b2eb2818105e6258f7212ce6f2c473734af2809
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Sat Mar  7 14:08:14 2020 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Sat Mar  7 14:10:55 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0b2eb281

dev-python/MechanicalSoup: bump to 0.12.0, add Py3.7, Py3.8, PyPy3

Package-Manager: Portage-2.3.92, Repoman-2.3.20
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 dev-python/MechanicalSoup/Manifest                 |  1 +
 .../MechanicalSoup/MechanicalSoup-0.12.0.ebuild    | 56 ++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-python/MechanicalSoup/Manifest b/dev-python/MechanicalSoup/Manifest
index ebaa6abdf56..f8fb93842e7 100644
--- a/dev-python/MechanicalSoup/Manifest
+++ b/dev-python/MechanicalSoup/Manifest
@@ -1,2 +1,3 @@
 DIST MechanicalSoup-0.10.0.tar.gz 40111 BLAKE2B cbb09253666850d3ce433f60ed6405585588e6dc7198c58de1cab8ecfad1e1c814433787aefe33dbb490edab5367ffca285d14cf8fbcb2c16e309b957a3a311b SHA512 5fa493abac39c5084dacb67b9dfaa2f8f5af773d3e3aaff48e6240596e863ada30a2fd1e345188c3249fd6e570977aa45b9fd553fe5a549f8430f170613bb866
+DIST MechanicalSoup-0.12.0.tar.gz 44505 BLAKE2B 7c303f7ae4dea12157d5c845a4dcdc6923e76d3565debd88d2f43e2cfc29a503feb6accb969839a39b1c4071b029f53908a12902a5c4f175f0383da227224c55 SHA512 6cce80ea5a90e7f19f2b13749f6ee48222d973af66cb350ac867a554580b0d619defe5a93741e6ec8aa808c585a8c01703158c7484521ac069977388de8bb7e3
 DIST MechanicalSoup-0.6.0.zip 5286 BLAKE2B 93a1d124cd45820e425fcb50b2aec04026f7a6f42c7c3f5c93103fbd216c98e36f366a1f7f343dd5561688ac4adb6feacab08ae444f91156348c07a80710a306 SHA512 cc413723514f3beee1267c57c16f6de2c19eb1f64535a60b546d289c7c18d8c4ba752ea61ab0b4a2aead2b56b12639cd226cb32662622515cb40262b7e619c24

diff --git a/dev-python/MechanicalSoup/MechanicalSoup-0.12.0.ebuild b/dev-python/MechanicalSoup/MechanicalSoup-0.12.0.ebuild
new file mode 100644
index 00000000000..14b661fd659
--- /dev/null
+++ b/dev-python/MechanicalSoup/MechanicalSoup-0.12.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="A python library for automating interaction with websites"
+HOMEPAGE="https://pypi.org/project/MechanicalSoup/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	>=dev-python/beautifulsoup-4.0[${PYTHON_USEDEP}]
+	>=dev-python/requests-2.0[${PYTHON_USEDEP}]
+	>=dev-python/six-1.4[${PYTHON_USEDEP}]
+	dev-python/lxml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		${RDEPEND}
+		>=dev-python/requests-mock-1.3.0[${PYTHON_USEDEP}]
+		dev-python/pytest[${PYTHON_USEDEP}]
+		dev-python/pytest-httpbin[${PYTHON_USEDEP}]
+		dev-python/pytest-mock[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_sphinx docs
+
+python_prepare_all() {
+	# We don't need pytest-runner to run tests via pytest
+	sed -i "s/'pytest-runner'//" setup.py || die
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	# Override pytest options to skip coverage and flake8
+	pytest -vv --override-ini="addopts=" \
+		|| die "tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+	if use examples; then
+		docompress -x "/usr/share/doc/${PF}/examples"
+		dodoc -r examples
+	fi
+	distutils-r1_python_install_all
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/MechanicalSoup/
@ 2020-03-07 14:11 Louis Sautier
  0 siblings, 0 replies; 23+ messages in thread
From: Louis Sautier @ 2020-03-07 14:11 UTC (permalink / raw
  To: gentoo-commits

commit:     a077c3deef97e8e4e4de69afd43336578c9b4558
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Sat Mar  7 14:10:05 2020 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Sat Mar  7 14:10:55 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a077c3de

dev-python/MechanicalSoup: remove old

Package-Manager: Portage-2.3.92, Repoman-2.3.20
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 dev-python/MechanicalSoup/Manifest                 |  1 -
 .../MechanicalSoup/MechanicalSoup-0.6.0.ebuild     | 33 ----------------------
 2 files changed, 34 deletions(-)

diff --git a/dev-python/MechanicalSoup/Manifest b/dev-python/MechanicalSoup/Manifest
index f8fb93842e7..c28b8c48d2b 100644
--- a/dev-python/MechanicalSoup/Manifest
+++ b/dev-python/MechanicalSoup/Manifest
@@ -1,3 +1,2 @@
 DIST MechanicalSoup-0.10.0.tar.gz 40111 BLAKE2B cbb09253666850d3ce433f60ed6405585588e6dc7198c58de1cab8ecfad1e1c814433787aefe33dbb490edab5367ffca285d14cf8fbcb2c16e309b957a3a311b SHA512 5fa493abac39c5084dacb67b9dfaa2f8f5af773d3e3aaff48e6240596e863ada30a2fd1e345188c3249fd6e570977aa45b9fd553fe5a549f8430f170613bb866
 DIST MechanicalSoup-0.12.0.tar.gz 44505 BLAKE2B 7c303f7ae4dea12157d5c845a4dcdc6923e76d3565debd88d2f43e2cfc29a503feb6accb969839a39b1c4071b029f53908a12902a5c4f175f0383da227224c55 SHA512 6cce80ea5a90e7f19f2b13749f6ee48222d973af66cb350ac867a554580b0d619defe5a93741e6ec8aa808c585a8c01703158c7484521ac069977388de8bb7e3
-DIST MechanicalSoup-0.6.0.zip 5286 BLAKE2B 93a1d124cd45820e425fcb50b2aec04026f7a6f42c7c3f5c93103fbd216c98e36f366a1f7f343dd5561688ac4adb6feacab08ae444f91156348c07a80710a306 SHA512 cc413723514f3beee1267c57c16f6de2c19eb1f64535a60b546d289c7c18d8c4ba752ea61ab0b4a2aead2b56b12639cd226cb32662622515cb40262b7e619c24

diff --git a/dev-python/MechanicalSoup/MechanicalSoup-0.6.0.ebuild b/dev-python/MechanicalSoup/MechanicalSoup-0.6.0.ebuild
deleted file mode 100644
index ea60b25ad81..00000000000
--- a/dev-python/MechanicalSoup/MechanicalSoup-0.6.0.ebuild
+++ /dev/null
@@ -1,33 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-PYTHON_COMPAT=( python3_6 )
-inherit distutils-r1
-
-if [[ ${PV} = *9999* ]]; then
-	EGIT_REPO_URI="https://github.com/hickford/MechanicalSoup"
-	inherit git-r3
-else
-	SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.zip"
-	KEYWORDS="~amd64"
-fi
-
-DESCRIPTION="A python library for automating interaction with websites"
-HOMEPAGE="https://pypi.org/project/MechanicalSoup/"
-
-LICENSE="MIT"
-SLOT="0"
-IUSE=""
-
-RDEPEND="
-	>=dev-python/beautifulsoup-4.0[${PYTHON_USEDEP}]
-	>=dev-python/requests-2.0[${PYTHON_USEDEP}]
-	>=dev-python/six-1.4[${PYTHON_USEDEP}]
-"
-DEPEND="
-	${RDEPEND}
-	app-arch/unzip
-	dev-python/setuptools[${PYTHON_USEDEP}]
-"


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/MechanicalSoup/
@ 2020-03-27 21:25 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2020-03-27 21:25 UTC (permalink / raw
  To: gentoo-commits

commit:     1e12eff08acd93b298f948eb1a5ccf684962f55a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 27 21:21:42 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Mar 27 21:21:42 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1e12eff0

dev-python/MechanicalSoup: Remove redundant versions

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/MechanicalSoup/Manifest                 |  1 -
 .../MechanicalSoup/MechanicalSoup-0.10.0.ebuild    | 65 ----------------------
 2 files changed, 66 deletions(-)

diff --git a/dev-python/MechanicalSoup/Manifest b/dev-python/MechanicalSoup/Manifest
index c28b8c48d2b..0e84d933970 100644
--- a/dev-python/MechanicalSoup/Manifest
+++ b/dev-python/MechanicalSoup/Manifest
@@ -1,2 +1 @@
-DIST MechanicalSoup-0.10.0.tar.gz 40111 BLAKE2B cbb09253666850d3ce433f60ed6405585588e6dc7198c58de1cab8ecfad1e1c814433787aefe33dbb490edab5367ffca285d14cf8fbcb2c16e309b957a3a311b SHA512 5fa493abac39c5084dacb67b9dfaa2f8f5af773d3e3aaff48e6240596e863ada30a2fd1e345188c3249fd6e570977aa45b9fd553fe5a549f8430f170613bb866
 DIST MechanicalSoup-0.12.0.tar.gz 44505 BLAKE2B 7c303f7ae4dea12157d5c845a4dcdc6923e76d3565debd88d2f43e2cfc29a503feb6accb969839a39b1c4071b029f53908a12902a5c4f175f0383da227224c55 SHA512 6cce80ea5a90e7f19f2b13749f6ee48222d973af66cb350ac867a554580b0d619defe5a93741e6ec8aa808c585a8c01703158c7484521ac069977388de8bb7e3

diff --git a/dev-python/MechanicalSoup/MechanicalSoup-0.10.0.ebuild b/dev-python/MechanicalSoup/MechanicalSoup-0.10.0.ebuild
deleted file mode 100644
index 58f9c75208d..00000000000
--- a/dev-python/MechanicalSoup/MechanicalSoup-0.10.0.ebuild
+++ /dev/null
@@ -1,65 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_6 )
-
-inherit distutils-r1
-
-DESCRIPTION="A python library for automating interaction with websites"
-HOMEPAGE="https://pypi.org/project/MechanicalSoup/"
-# https://github.com/MechanicalSoup/MechanicalSoup/pull/217
-SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="doc examples test"
-
-# https://github.com/MechanicalSoup/MechanicalSoup/issues/215
-RESTRICT="test"
-
-RDEPEND="
-	>=dev-python/beautifulsoup-4.0[${PYTHON_USEDEP}]
-	>=dev-python/requests-2.0[${PYTHON_USEDEP}]
-	>=dev-python/six-1.4[${PYTHON_USEDEP}]
-	dev-python/lxml[${PYTHON_USEDEP}]
-"
-DEPEND="
-	dev-python/setuptools[${PYTHON_USEDEP}]
-	doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
-	test? (
-		${RDEPEND}
-		>=dev-python/requests-mock-1.3.0[${PYTHON_USEDEP}]
-		dev-python/pytest[${PYTHON_USEDEP}]
-		dev-python/pytest-httpbin[${PYTHON_USEDEP}]
-		dev-python/pytest-mock[${PYTHON_USEDEP}]
-	)
-"
-
-python_prepare_all() {
-	sed -i "s/'pytest-runner'//" setup.py || die
-	distutils-r1_python_prepare_all
-}
-
-python_compile_all() {
-	if use doc; then
-		sphinx-build docs docs/_build/html || die
-		HTML_DOCS=( docs/_build/html/. )
-	fi
-}
-
-python_test() {
-	# Override pytest options to skip coverage and flake8
-	py.test --override-ini="addopts=" \
-		|| die "tests failed with ${EPYTHON}"
-}
-
-python_install_all() {
-	if use examples; then
-		docompress -x "/usr/share/doc/${PF}/examples"
-		dodoc -r examples
-	fi
-	distutils-r1_python_install_all
-}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/MechanicalSoup/
@ 2020-10-21 19:21 Louis Sautier
  0 siblings, 0 replies; 23+ messages in thread
From: Louis Sautier @ 2020-10-21 19:21 UTC (permalink / raw
  To: gentoo-commits

commit:     73f67cfe1742a08be85abf964084425cab3d7ae9
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 21 19:12:41 2020 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Wed Oct 21 19:18:55 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=73f67cfe

dev-python/MechanicalSoup: add Python 3.9 support

Also use distutils_enable_tests and remove unnecessary sed.

Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 dev-python/MechanicalSoup/MechanicalSoup-0.12.0.ebuild | 18 +++++-------------
 1 file changed, 5 insertions(+), 13 deletions(-)

diff --git a/dev-python/MechanicalSoup/MechanicalSoup-0.12.0.ebuild b/dev-python/MechanicalSoup/MechanicalSoup-0.12.0.ebuild
index 14b661fd659..25a8f0174d7 100644
--- a/dev-python/MechanicalSoup/MechanicalSoup-0.12.0.ebuild
+++ b/dev-python/MechanicalSoup/MechanicalSoup-0.12.0.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( pypy3 python3_{6,7,8} )
+PYTHON_COMPAT=( pypy3 python3_{6..9} )
 
 inherit distutils-r1
 
@@ -14,8 +14,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
 LICENSE="MIT"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="examples test"
-RESTRICT="!test? ( test )"
+IUSE="examples"
 
 RDEPEND="
 	>=dev-python/beautifulsoup-4.0[${PYTHON_USEDEP}]
@@ -25,26 +24,19 @@ RDEPEND="
 "
 BDEPEND="
 	test? (
-		${RDEPEND}
 		>=dev-python/requests-mock-1.3.0[${PYTHON_USEDEP}]
-		dev-python/pytest[${PYTHON_USEDEP}]
 		dev-python/pytest-httpbin[${PYTHON_USEDEP}]
 		dev-python/pytest-mock[${PYTHON_USEDEP}]
 	)
 "
 
+distutils_enable_tests pytest
 distutils_enable_sphinx docs
 
 python_prepare_all() {
-	# We don't need pytest-runner to run tests via pytest
-	sed -i "s/'pytest-runner'//" setup.py || die
-	distutils-r1_python_prepare_all
-}
-
-python_test() {
 	# Override pytest options to skip coverage and flake8
-	pytest -vv --override-ini="addopts=" \
-		|| die "tests failed with ${EPYTHON}"
+	sed -i -e '/^addopts =/d' setup.cfg || die
+	distutils-r1_python_prepare_all
 }
 
 python_install_all() {


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/MechanicalSoup/
@ 2021-01-05 22:05 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2021-01-05 22:05 UTC (permalink / raw
  To: gentoo-commits

commit:     d3622ead279aa6020259d5d69dfd26e48ca14ea3
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jan  5 21:37:31 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jan  5 22:05:33 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d3622ead

dev-python/MechanicalSoup: Bump to 1.0.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/MechanicalSoup/Manifest                 |  1 +
 .../MechanicalSoup/MechanicalSoup-1.0.0.ebuild     | 48 ++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-python/MechanicalSoup/Manifest b/dev-python/MechanicalSoup/Manifest
index 0e84d933970..3c645248837 100644
--- a/dev-python/MechanicalSoup/Manifest
+++ b/dev-python/MechanicalSoup/Manifest
@@ -1 +1,2 @@
 DIST MechanicalSoup-0.12.0.tar.gz 44505 BLAKE2B 7c303f7ae4dea12157d5c845a4dcdc6923e76d3565debd88d2f43e2cfc29a503feb6accb969839a39b1c4071b029f53908a12902a5c4f175f0383da227224c55 SHA512 6cce80ea5a90e7f19f2b13749f6ee48222d973af66cb350ac867a554580b0d619defe5a93741e6ec8aa808c585a8c01703158c7484521ac069977388de8bb7e3
+DIST MechanicalSoup-1.0.0.tar.gz 47572 BLAKE2B eace6cc4eaf50f01f8a7816d4d87a9345676b6921c8fe46b3280ac83463b241b2e6175b91ee1a5f907635c07ee8cf66324cb2e7938736b81e9a4f849f9159548 SHA512 00e2c5220c065b517301d9381a9bc5019f6f75dc5951a5ab4427fd7939b296b6b33a20b8f8a7e82c6feed2c9100e3481f38a424d63065883d71a6927119ad88c

diff --git a/dev-python/MechanicalSoup/MechanicalSoup-1.0.0.ebuild b/dev-python/MechanicalSoup/MechanicalSoup-1.0.0.ebuild
new file mode 100644
index 00000000000..ef1df0c3a84
--- /dev/null
+++ b/dev-python/MechanicalSoup/MechanicalSoup-1.0.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="A python library for automating interaction with websites"
+HOMEPAGE="https://pypi.org/project/MechanicalSoup/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples"
+
+RDEPEND="
+	>=dev-python/beautifulsoup-4.0[${PYTHON_USEDEP}]
+	>=dev-python/requests-2.0[${PYTHON_USEDEP}]
+	>=dev-python/six-1.4[${PYTHON_USEDEP}]
+	dev-python/lxml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		>=dev-python/requests-mock-1.3.0[${PYTHON_USEDEP}]
+		dev-python/pytest-httpbin[${PYTHON_USEDEP}]
+		dev-python/pytest-mock[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs
+
+python_prepare_all() {
+	# Override pytest options to skip coverage and flake8
+	sed -i -e '/^addopts =/d' setup.cfg || die
+	distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+	if use examples; then
+		docompress -x "/usr/share/doc/${PF}/examples"
+		dodoc -r examples
+	fi
+	distutils-r1_python_install_all
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/MechanicalSoup/
@ 2021-05-30  8:14 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2021-05-30  8:14 UTC (permalink / raw
  To: gentoo-commits

commit:     87c1218736147dc95359b6db3b78988c0fbdeb2d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun May 30 07:07:20 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun May 30 08:14:12 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=87c12187

dev-python/MechanicalSoup: Bump to 1.1.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/MechanicalSoup/Manifest                 |  1 +
 .../MechanicalSoup/MechanicalSoup-1.1.0.ebuild     | 47 ++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-python/MechanicalSoup/Manifest b/dev-python/MechanicalSoup/Manifest
index 3c645248837..8d29a79d193 100644
--- a/dev-python/MechanicalSoup/Manifest
+++ b/dev-python/MechanicalSoup/Manifest
@@ -1,2 +1,3 @@
 DIST MechanicalSoup-0.12.0.tar.gz 44505 BLAKE2B 7c303f7ae4dea12157d5c845a4dcdc6923e76d3565debd88d2f43e2cfc29a503feb6accb969839a39b1c4071b029f53908a12902a5c4f175f0383da227224c55 SHA512 6cce80ea5a90e7f19f2b13749f6ee48222d973af66cb350ac867a554580b0d619defe5a93741e6ec8aa808c585a8c01703158c7484521ac069977388de8bb7e3
 DIST MechanicalSoup-1.0.0.tar.gz 47572 BLAKE2B eace6cc4eaf50f01f8a7816d4d87a9345676b6921c8fe46b3280ac83463b241b2e6175b91ee1a5f907635c07ee8cf66324cb2e7938736b81e9a4f849f9159548 SHA512 00e2c5220c065b517301d9381a9bc5019f6f75dc5951a5ab4427fd7939b296b6b33a20b8f8a7e82c6feed2c9100e3481f38a424d63065883d71a6927119ad88c
+DIST MechanicalSoup-1.1.0.tar.gz 49270 BLAKE2B 947b35d819dc69508595adcfe5a0c8e6bd34888c995e9c3931613498ee1ca840ce16a14359aacbf9d40aa4f9ae59d45d14da5a150e3ce39ae7e72f587c94820e SHA512 26eaa54bcd1c0aac26504d7c482ed001830a1c79bf48a3055cef92348e9336887bef86cda68281911032159a3404a1f4ee8de9b6516d7d767cfd6b3b380c4ebe

diff --git a/dev-python/MechanicalSoup/MechanicalSoup-1.1.0.ebuild b/dev-python/MechanicalSoup/MechanicalSoup-1.1.0.ebuild
new file mode 100644
index 00000000000..c110cacf2a5
--- /dev/null
+++ b/dev-python/MechanicalSoup/MechanicalSoup-1.1.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="A python library for automating interaction with websites"
+HOMEPAGE="https://pypi.org/project/MechanicalSoup/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples"
+
+RDEPEND="
+	>=dev-python/beautifulsoup-4.7[${PYTHON_USEDEP}]
+	>=dev-python/requests-2.22.0[${PYTHON_USEDEP}]
+	dev-python/lxml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		>=dev-python/requests-mock-1.3.0[${PYTHON_USEDEP}]
+		dev-python/pytest-httpbin[${PYTHON_USEDEP}]
+		dev-python/pytest-mock[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs
+
+python_prepare_all() {
+	# Override pytest options to skip coverage and flake8
+	sed -i -e '/^addopts =/d' setup.cfg || die
+	distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+	if use examples; then
+		docompress -x "/usr/share/doc/${PF}/examples"
+		dodoc -r examples
+	fi
+	distutils-r1_python_install_all
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/MechanicalSoup/
@ 2021-08-07 12:34 Louis Sautier
  0 siblings, 0 replies; 23+ messages in thread
From: Louis Sautier @ 2021-08-07 12:34 UTC (permalink / raw
  To: gentoo-commits

commit:     cf2b65fe541ac7009e2726d807fa394e7c7c039d
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Sat Aug  7 12:31:23 2021 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Sat Aug  7 12:34:29 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf2b65fe

dev-python/MechanicalSoup: enable py3.10

Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 dev-python/MechanicalSoup/MechanicalSoup-1.1.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/MechanicalSoup/MechanicalSoup-1.1.0.ebuild b/dev-python/MechanicalSoup/MechanicalSoup-1.1.0.ebuild
index c110cacf2a5..44b270442a5 100644
--- a/dev-python/MechanicalSoup/MechanicalSoup-1.1.0.ebuild
+++ b/dev-python/MechanicalSoup/MechanicalSoup-1.1.0.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( pypy3 python3_{7..9} )
+PYTHON_COMPAT=( pypy3 python3_{7..10} )
 
 inherit distutils-r1
 


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/MechanicalSoup/
@ 2021-08-07 12:36 Louis Sautier
  0 siblings, 0 replies; 23+ messages in thread
From: Louis Sautier @ 2021-08-07 12:36 UTC (permalink / raw
  To: gentoo-commits

commit:     9c79139cec14db484926315c71daf9b0f026340c
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Sat Aug  7 12:35:58 2021 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Sat Aug  7 12:35:58 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9c79139c

dev-python/MechanicalSoup: drop 0.12.0

Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 dev-python/MechanicalSoup/Manifest                 |  1 -
 .../MechanicalSoup/MechanicalSoup-0.12.0.ebuild    | 48 ----------------------
 2 files changed, 49 deletions(-)

diff --git a/dev-python/MechanicalSoup/Manifest b/dev-python/MechanicalSoup/Manifest
index 8d29a79d193..4f5d5f1898a 100644
--- a/dev-python/MechanicalSoup/Manifest
+++ b/dev-python/MechanicalSoup/Manifest
@@ -1,3 +1,2 @@
-DIST MechanicalSoup-0.12.0.tar.gz 44505 BLAKE2B 7c303f7ae4dea12157d5c845a4dcdc6923e76d3565debd88d2f43e2cfc29a503feb6accb969839a39b1c4071b029f53908a12902a5c4f175f0383da227224c55 SHA512 6cce80ea5a90e7f19f2b13749f6ee48222d973af66cb350ac867a554580b0d619defe5a93741e6ec8aa808c585a8c01703158c7484521ac069977388de8bb7e3
 DIST MechanicalSoup-1.0.0.tar.gz 47572 BLAKE2B eace6cc4eaf50f01f8a7816d4d87a9345676b6921c8fe46b3280ac83463b241b2e6175b91ee1a5f907635c07ee8cf66324cb2e7938736b81e9a4f849f9159548 SHA512 00e2c5220c065b517301d9381a9bc5019f6f75dc5951a5ab4427fd7939b296b6b33a20b8f8a7e82c6feed2c9100e3481f38a424d63065883d71a6927119ad88c
 DIST MechanicalSoup-1.1.0.tar.gz 49270 BLAKE2B 947b35d819dc69508595adcfe5a0c8e6bd34888c995e9c3931613498ee1ca840ce16a14359aacbf9d40aa4f9ae59d45d14da5a150e3ce39ae7e72f587c94820e SHA512 26eaa54bcd1c0aac26504d7c482ed001830a1c79bf48a3055cef92348e9336887bef86cda68281911032159a3404a1f4ee8de9b6516d7d767cfd6b3b380c4ebe

diff --git a/dev-python/MechanicalSoup/MechanicalSoup-0.12.0.ebuild b/dev-python/MechanicalSoup/MechanicalSoup-0.12.0.ebuild
deleted file mode 100644
index d5eee311f38..00000000000
--- a/dev-python/MechanicalSoup/MechanicalSoup-0.12.0.ebuild
+++ /dev/null
@@ -1,48 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( pypy3 python3_{7..9} )
-
-inherit distutils-r1
-
-DESCRIPTION="A python library for automating interaction with websites"
-HOMEPAGE="https://pypi.org/project/MechanicalSoup/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="examples"
-
-RDEPEND="
-	>=dev-python/beautifulsoup-4.0[${PYTHON_USEDEP}]
-	>=dev-python/requests-2.0[${PYTHON_USEDEP}]
-	>=dev-python/six-1.4[${PYTHON_USEDEP}]
-	dev-python/lxml[${PYTHON_USEDEP}]
-"
-BDEPEND="
-	test? (
-		>=dev-python/requests-mock-1.3.0[${PYTHON_USEDEP}]
-		dev-python/pytest-httpbin[${PYTHON_USEDEP}]
-		dev-python/pytest-mock[${PYTHON_USEDEP}]
-	)
-"
-
-distutils_enable_tests pytest
-distutils_enable_sphinx docs
-
-python_prepare_all() {
-	# Override pytest options to skip coverage and flake8
-	sed -i -e '/^addopts =/d' setup.cfg || die
-	distutils-r1_python_prepare_all
-}
-
-python_install_all() {
-	if use examples; then
-		docompress -x "/usr/share/doc/${PF}/examples"
-		dodoc -r examples
-	fi
-	distutils-r1_python_install_all
-}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/MechanicalSoup/
@ 2021-10-17  7:24 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2021-10-17  7:24 UTC (permalink / raw
  To: gentoo-commits

commit:     bbbb47bc52790775b59e38497e4b765c89e22497
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 17 07:20:56 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Oct 17 07:20:56 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bbbb47bc

dev-python/MechanicalSoup: Remove old

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/MechanicalSoup/Manifest                 |  1 -
 .../MechanicalSoup/MechanicalSoup-1.0.0.ebuild     | 48 ----------------------
 2 files changed, 49 deletions(-)

diff --git a/dev-python/MechanicalSoup/Manifest b/dev-python/MechanicalSoup/Manifest
index 4f5d5f1898a..32f0e612a90 100644
--- a/dev-python/MechanicalSoup/Manifest
+++ b/dev-python/MechanicalSoup/Manifest
@@ -1,2 +1 @@
-DIST MechanicalSoup-1.0.0.tar.gz 47572 BLAKE2B eace6cc4eaf50f01f8a7816d4d87a9345676b6921c8fe46b3280ac83463b241b2e6175b91ee1a5f907635c07ee8cf66324cb2e7938736b81e9a4f849f9159548 SHA512 00e2c5220c065b517301d9381a9bc5019f6f75dc5951a5ab4427fd7939b296b6b33a20b8f8a7e82c6feed2c9100e3481f38a424d63065883d71a6927119ad88c
 DIST MechanicalSoup-1.1.0.tar.gz 49270 BLAKE2B 947b35d819dc69508595adcfe5a0c8e6bd34888c995e9c3931613498ee1ca840ce16a14359aacbf9d40aa4f9ae59d45d14da5a150e3ce39ae7e72f587c94820e SHA512 26eaa54bcd1c0aac26504d7c482ed001830a1c79bf48a3055cef92348e9336887bef86cda68281911032159a3404a1f4ee8de9b6516d7d767cfd6b3b380c4ebe

diff --git a/dev-python/MechanicalSoup/MechanicalSoup-1.0.0.ebuild b/dev-python/MechanicalSoup/MechanicalSoup-1.0.0.ebuild
deleted file mode 100644
index 898b3da8d11..00000000000
--- a/dev-python/MechanicalSoup/MechanicalSoup-1.0.0.ebuild
+++ /dev/null
@@ -1,48 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( pypy3 python3_{7..9} )
-
-inherit distutils-r1
-
-DESCRIPTION="A python library for automating interaction with websites"
-HOMEPAGE="https://pypi.org/project/MechanicalSoup/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="examples"
-
-RDEPEND="
-	>=dev-python/beautifulsoup4-4.0[${PYTHON_USEDEP}]
-	>=dev-python/requests-2.0[${PYTHON_USEDEP}]
-	>=dev-python/six-1.4[${PYTHON_USEDEP}]
-	dev-python/lxml[${PYTHON_USEDEP}]
-"
-BDEPEND="
-	test? (
-		>=dev-python/requests-mock-1.3.0[${PYTHON_USEDEP}]
-		dev-python/pytest-httpbin[${PYTHON_USEDEP}]
-		dev-python/pytest-mock[${PYTHON_USEDEP}]
-	)
-"
-
-distutils_enable_tests pytest
-distutils_enable_sphinx docs
-
-python_prepare_all() {
-	# Override pytest options to skip coverage and flake8
-	sed -i -e '/^addopts =/d' setup.cfg || die
-	distutils-r1_python_prepare_all
-}
-
-python_install_all() {
-	if use examples; then
-		docompress -x "/usr/share/doc/${PF}/examples"
-		dodoc -r examples
-	fi
-	distutils-r1_python_install_all
-}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/MechanicalSoup/
@ 2022-06-17  6:40 Arthur Zamarin
  0 siblings, 0 replies; 23+ messages in thread
From: Arthur Zamarin @ 2022-06-17  6:40 UTC (permalink / raw
  To: gentoo-commits

commit:     a75de96e61cc439b32d4f67cfc0c526e38558fc6
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 17 06:34:52 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Jun 17 06:34:52 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a75de96e

dev-python/MechanicalSoup: enable py3.11

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/MechanicalSoup/MechanicalSoup-1.1.0-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/MechanicalSoup/MechanicalSoup-1.1.0-r1.ebuild b/dev-python/MechanicalSoup/MechanicalSoup-1.1.0-r1.ebuild
index e8b5d49a6e53..4c41e80353e7 100644
--- a/dev-python/MechanicalSoup/MechanicalSoup-1.1.0-r1.ebuild
+++ b/dev-python/MechanicalSoup/MechanicalSoup-1.1.0-r1.ebuild
@@ -4,7 +4,7 @@
 EAPI=8
 
 DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( pypy3 python3_{8..10} )
+PYTHON_COMPAT=( pypy3 python3_{8..11} )
 
 inherit distutils-r1
 


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/MechanicalSoup/
@ 2022-06-17  6:40 Arthur Zamarin
  0 siblings, 0 replies; 23+ messages in thread
From: Arthur Zamarin @ 2022-06-17  6:40 UTC (permalink / raw
  To: gentoo-commits

commit:     fc13d2b9bb77e20b39b59c3f159e22b8ee6800d6
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 17 06:33:41 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Jun 17 06:33:41 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fc13d2b9

dev-python/MechanicalSoup: EAPI=8, PEP517

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 .../MechanicalSoup/MechanicalSoup-1.1.0-r1.ebuild  | 48 ++++++++++++++++++++++
 1 file changed, 48 insertions(+)

diff --git a/dev-python/MechanicalSoup/MechanicalSoup-1.1.0-r1.ebuild b/dev-python/MechanicalSoup/MechanicalSoup-1.1.0-r1.ebuild
new file mode 100644
index 000000000000..e8b5d49a6e53
--- /dev/null
+++ b/dev-python/MechanicalSoup/MechanicalSoup-1.1.0-r1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A python library for automating interaction with websites"
+HOMEPAGE="https://pypi.org/project/MechanicalSoup/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples"
+
+RDEPEND="
+	>=dev-python/beautifulsoup4-4.7[${PYTHON_USEDEP}]
+	>=dev-python/requests-2.22.0[${PYTHON_USEDEP}]
+	dev-python/lxml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		>=dev-python/requests-mock-1.3.0[${PYTHON_USEDEP}]
+		dev-python/pytest-httpbin[${PYTHON_USEDEP}]
+		dev-python/pytest-mock[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs
+
+python_prepare_all() {
+	# Override pytest options to skip coverage and flake8
+	sed -e '/^addopts =/d' -i setup.cfg || die
+	distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+	if use examples; then
+		docompress -x "/usr/share/doc/${PF}/examples"
+		dodoc -r examples
+	fi
+	distutils-r1_python_install_all
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/MechanicalSoup/
@ 2022-09-22 10:29 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2022-09-22 10:29 UTC (permalink / raw
  To: gentoo-commits

commit:     df3a453ace97d9e02211ad1add167b6219049ddb
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 22 10:25:32 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Sep 22 10:29:04 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=df3a453a

dev-python/MechanicalSoup: Bump to 1.2.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/MechanicalSoup/Manifest                 |  1 +
 .../MechanicalSoup/MechanicalSoup-1.2.0.ebuild     | 51 ++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-python/MechanicalSoup/Manifest b/dev-python/MechanicalSoup/Manifest
index 32f0e612a905..d4203bb62d6a 100644
--- a/dev-python/MechanicalSoup/Manifest
+++ b/dev-python/MechanicalSoup/Manifest
@@ -1 +1,2 @@
 DIST MechanicalSoup-1.1.0.tar.gz 49270 BLAKE2B 947b35d819dc69508595adcfe5a0c8e6bd34888c995e9c3931613498ee1ca840ce16a14359aacbf9d40aa4f9ae59d45d14da5a150e3ce39ae7e72f587c94820e SHA512 26eaa54bcd1c0aac26504d7c482ed001830a1c79bf48a3055cef92348e9336887bef86cda68281911032159a3404a1f4ee8de9b6516d7d767cfd6b3b380c4ebe
+DIST MechanicalSoup-1.2.0.tar.gz 49669 BLAKE2B a9791fd2d389c8a553ed0acce179094770651553b7aaf299ec6779509b4ffb1bb97a4a4afe01af3e4ccb56cf100b5bacc39e9aedf1143a9eb6f4b98dbb020062 SHA512 5857274e07c678dc0e19ad4fef828ccf41bb846edad566c2da9914144ced8802efd546265efac792acbb885b29cab5cde4ac3cd2002826a8bb31f91004eb2caa

diff --git a/dev-python/MechanicalSoup/MechanicalSoup-1.2.0.ebuild b/dev-python/MechanicalSoup/MechanicalSoup-1.2.0.ebuild
new file mode 100644
index 000000000000..c44576b3c1e6
--- /dev/null
+++ b/dev-python/MechanicalSoup/MechanicalSoup-1.2.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python library for automating interaction with websites"
+HOMEPAGE="
+	https://github.com/MechanicalSoup/MechanicalSoup/
+	https://pypi.org/project/MechanicalSoup/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples"
+
+RDEPEND="
+	>=dev-python/beautifulsoup4-4.7[${PYTHON_USEDEP}]
+	>=dev-python/requests-2.22.0[${PYTHON_USEDEP}]
+	dev-python/lxml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		>=dev-python/requests-mock-1.3.0[${PYTHON_USEDEP}]
+		dev-python/pytest-httpbin[${PYTHON_USEDEP}]
+		dev-python/pytest-mock[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs
+
+python_prepare_all() {
+	# Override pytest options to skip coverage and flake8
+	sed -e '/^addopts =/d' -i setup.cfg || die
+	distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+	if use examples; then
+		docompress -x "/usr/share/doc/${PF}/examples"
+		dodoc -r examples
+	fi
+	distutils-r1_python_install_all
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/MechanicalSoup/
@ 2022-11-14  4:44 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2022-11-14  4:44 UTC (permalink / raw
  To: gentoo-commits

commit:     d22a3f9049c4e664b06793ff58f4735242c5ecb8
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 14 04:39:42 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Nov 14 04:39:42 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d22a3f90

dev-python/MechanicalSoup: Remove old

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/MechanicalSoup/Manifest                 |  1 -
 .../MechanicalSoup/MechanicalSoup-1.1.0-r1.ebuild  | 48 ----------------------
 .../MechanicalSoup/MechanicalSoup-1.1.0.ebuild     | 47 ---------------------
 3 files changed, 96 deletions(-)

diff --git a/dev-python/MechanicalSoup/Manifest b/dev-python/MechanicalSoup/Manifest
index d4203bb62d6a..5516c20be158 100644
--- a/dev-python/MechanicalSoup/Manifest
+++ b/dev-python/MechanicalSoup/Manifest
@@ -1,2 +1 @@
-DIST MechanicalSoup-1.1.0.tar.gz 49270 BLAKE2B 947b35d819dc69508595adcfe5a0c8e6bd34888c995e9c3931613498ee1ca840ce16a14359aacbf9d40aa4f9ae59d45d14da5a150e3ce39ae7e72f587c94820e SHA512 26eaa54bcd1c0aac26504d7c482ed001830a1c79bf48a3055cef92348e9336887bef86cda68281911032159a3404a1f4ee8de9b6516d7d767cfd6b3b380c4ebe
 DIST MechanicalSoup-1.2.0.tar.gz 49669 BLAKE2B a9791fd2d389c8a553ed0acce179094770651553b7aaf299ec6779509b4ffb1bb97a4a4afe01af3e4ccb56cf100b5bacc39e9aedf1143a9eb6f4b98dbb020062 SHA512 5857274e07c678dc0e19ad4fef828ccf41bb846edad566c2da9914144ced8802efd546265efac792acbb885b29cab5cde4ac3cd2002826a8bb31f91004eb2caa

diff --git a/dev-python/MechanicalSoup/MechanicalSoup-1.1.0-r1.ebuild b/dev-python/MechanicalSoup/MechanicalSoup-1.1.0-r1.ebuild
deleted file mode 100644
index 4c41e80353e7..000000000000
--- a/dev-python/MechanicalSoup/MechanicalSoup-1.1.0-r1.ebuild
+++ /dev/null
@@ -1,48 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( pypy3 python3_{8..11} )
-
-inherit distutils-r1
-
-DESCRIPTION="A python library for automating interaction with websites"
-HOMEPAGE="https://pypi.org/project/MechanicalSoup/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="examples"
-
-RDEPEND="
-	>=dev-python/beautifulsoup4-4.7[${PYTHON_USEDEP}]
-	>=dev-python/requests-2.22.0[${PYTHON_USEDEP}]
-	dev-python/lxml[${PYTHON_USEDEP}]
-"
-BDEPEND="
-	test? (
-		>=dev-python/requests-mock-1.3.0[${PYTHON_USEDEP}]
-		dev-python/pytest-httpbin[${PYTHON_USEDEP}]
-		dev-python/pytest-mock[${PYTHON_USEDEP}]
-	)
-"
-
-distutils_enable_tests pytest
-distutils_enable_sphinx docs
-
-python_prepare_all() {
-	# Override pytest options to skip coverage and flake8
-	sed -e '/^addopts =/d' -i setup.cfg || die
-	distutils-r1_python_prepare_all
-}
-
-python_install_all() {
-	if use examples; then
-		docompress -x "/usr/share/doc/${PF}/examples"
-		dodoc -r examples
-	fi
-	distutils-r1_python_install_all
-}

diff --git a/dev-python/MechanicalSoup/MechanicalSoup-1.1.0.ebuild b/dev-python/MechanicalSoup/MechanicalSoup-1.1.0.ebuild
deleted file mode 100644
index 31d7a461a061..000000000000
--- a/dev-python/MechanicalSoup/MechanicalSoup-1.1.0.ebuild
+++ /dev/null
@@ -1,47 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( pypy3 python3_{7..10} )
-
-inherit distutils-r1
-
-DESCRIPTION="A python library for automating interaction with websites"
-HOMEPAGE="https://pypi.org/project/MechanicalSoup/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="examples"
-
-RDEPEND="
-	>=dev-python/beautifulsoup4-4.7[${PYTHON_USEDEP}]
-	>=dev-python/requests-2.22.0[${PYTHON_USEDEP}]
-	dev-python/lxml[${PYTHON_USEDEP}]
-"
-BDEPEND="
-	test? (
-		>=dev-python/requests-mock-1.3.0[${PYTHON_USEDEP}]
-		dev-python/pytest-httpbin[${PYTHON_USEDEP}]
-		dev-python/pytest-mock[${PYTHON_USEDEP}]
-	)
-"
-
-distutils_enable_tests pytest
-distutils_enable_sphinx docs
-
-python_prepare_all() {
-	# Override pytest options to skip coverage and flake8
-	sed -i -e '/^addopts =/d' setup.cfg || die
-	distutils-r1_python_prepare_all
-}
-
-python_install_all() {
-	if use examples; then
-		docompress -x "/usr/share/doc/${PF}/examples"
-		dodoc -r examples
-	fi
-	distutils-r1_python_install_all
-}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/MechanicalSoup/
@ 2023-07-05  6:19 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2023-07-05  6:19 UTC (permalink / raw
  To: gentoo-commits

commit:     d222bb1a7d065a7a9972fa4e1b5d9bb7bf310939
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jul  5 06:11:24 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jul  5 06:19:07 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d222bb1a

dev-python/MechanicalSoup: Bump to 1.3.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/MechanicalSoup/Manifest                 |  1 +
 .../MechanicalSoup/MechanicalSoup-1.3.0.ebuild     | 49 ++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-python/MechanicalSoup/Manifest b/dev-python/MechanicalSoup/Manifest
index 5516c20be158..be96f4e7509d 100644
--- a/dev-python/MechanicalSoup/Manifest
+++ b/dev-python/MechanicalSoup/Manifest
@@ -1 +1,2 @@
 DIST MechanicalSoup-1.2.0.tar.gz 49669 BLAKE2B a9791fd2d389c8a553ed0acce179094770651553b7aaf299ec6779509b4ffb1bb97a4a4afe01af3e4ccb56cf100b5bacc39e9aedf1143a9eb6f4b98dbb020062 SHA512 5857274e07c678dc0e19ad4fef828ccf41bb846edad566c2da9914144ced8802efd546265efac792acbb885b29cab5cde4ac3cd2002826a8bb31f91004eb2caa
+DIST MechanicalSoup-1.3.0.tar.gz 50826 BLAKE2B c47760a0f8d9c7a6430580c81fb750d3eab37a773a7453fb2850396ea2cff1ae143b1ec9ec5e1d8051a52f39c1527b99126f4ea2c90a73c7730597dd92a42a11 SHA512 a205c9b36b540be8b3eb15803c34e67029cb5b33aaf36d235947cc46c588f2d63e68acd97a9872b20ad3f1c87dcdb6133b4860dc7d90752ac477aaaa9a7c3e82

diff --git a/dev-python/MechanicalSoup/MechanicalSoup-1.3.0.ebuild b/dev-python/MechanicalSoup/MechanicalSoup-1.3.0.ebuild
new file mode 100644
index 000000000000..2d889dc6917a
--- /dev/null
+++ b/dev-python/MechanicalSoup/MechanicalSoup-1.3.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( pypy3 python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python library for automating interaction with websites"
+HOMEPAGE="
+	https://github.com/MechanicalSoup/MechanicalSoup/
+	https://pypi.org/project/MechanicalSoup/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples"
+
+RDEPEND="
+	>=dev-python/beautifulsoup4-4.7[${PYTHON_USEDEP}]
+	>=dev-python/requests-2.22.0[${PYTHON_USEDEP}]
+	dev-python/lxml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		>=dev-python/requests-mock-1.3.0[${PYTHON_USEDEP}]
+		dev-python/pytest-httpbin[${PYTHON_USEDEP}]
+		dev-python/pytest-mock[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs
+
+python_test() {
+	epytest -o addopts=
+}
+
+python_install_all() {
+	if use examples; then
+		docompress -x "/usr/share/doc/${PF}/examples"
+		dodoc -r examples
+	fi
+	distutils-r1_python_install_all
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/MechanicalSoup/
@ 2023-07-05  6:19 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2023-07-05  6:19 UTC (permalink / raw
  To: gentoo-commits

commit:     a9906a56a6d23046c908035b21ce39306f9f9d6d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jul  5 06:11:58 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jul  5 06:19:08 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a9906a56

dev-python/MechanicalSoup: Remove old

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/MechanicalSoup/Manifest                 |  1 -
 .../MechanicalSoup/MechanicalSoup-1.2.0.ebuild     | 51 ----------------------
 2 files changed, 52 deletions(-)

diff --git a/dev-python/MechanicalSoup/Manifest b/dev-python/MechanicalSoup/Manifest
index be96f4e7509d..57317f12db9f 100644
--- a/dev-python/MechanicalSoup/Manifest
+++ b/dev-python/MechanicalSoup/Manifest
@@ -1,2 +1 @@
-DIST MechanicalSoup-1.2.0.tar.gz 49669 BLAKE2B a9791fd2d389c8a553ed0acce179094770651553b7aaf299ec6779509b4ffb1bb97a4a4afe01af3e4ccb56cf100b5bacc39e9aedf1143a9eb6f4b98dbb020062 SHA512 5857274e07c678dc0e19ad4fef828ccf41bb846edad566c2da9914144ced8802efd546265efac792acbb885b29cab5cde4ac3cd2002826a8bb31f91004eb2caa
 DIST MechanicalSoup-1.3.0.tar.gz 50826 BLAKE2B c47760a0f8d9c7a6430580c81fb750d3eab37a773a7453fb2850396ea2cff1ae143b1ec9ec5e1d8051a52f39c1527b99126f4ea2c90a73c7730597dd92a42a11 SHA512 a205c9b36b540be8b3eb15803c34e67029cb5b33aaf36d235947cc46c588f2d63e68acd97a9872b20ad3f1c87dcdb6133b4860dc7d90752ac477aaaa9a7c3e82

diff --git a/dev-python/MechanicalSoup/MechanicalSoup-1.2.0.ebuild b/dev-python/MechanicalSoup/MechanicalSoup-1.2.0.ebuild
deleted file mode 100644
index 28150c01bc1b..000000000000
--- a/dev-python/MechanicalSoup/MechanicalSoup-1.2.0.ebuild
+++ /dev/null
@@ -1,51 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYPI_NO_NORMALIZE=1
-PYTHON_COMPAT=( pypy3 python3_{9..11} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="A Python library for automating interaction with websites"
-HOMEPAGE="
-	https://github.com/MechanicalSoup/MechanicalSoup/
-	https://pypi.org/project/MechanicalSoup/
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="examples"
-
-RDEPEND="
-	>=dev-python/beautifulsoup4-4.7[${PYTHON_USEDEP}]
-	>=dev-python/requests-2.22.0[${PYTHON_USEDEP}]
-	dev-python/lxml[${PYTHON_USEDEP}]
-"
-BDEPEND="
-	test? (
-		>=dev-python/requests-mock-1.3.0[${PYTHON_USEDEP}]
-		dev-python/pytest-httpbin[${PYTHON_USEDEP}]
-		dev-python/pytest-mock[${PYTHON_USEDEP}]
-	)
-"
-
-distutils_enable_tests pytest
-distutils_enable_sphinx docs
-
-python_prepare_all() {
-	# Override pytest options to skip coverage and flake8
-	sed -e '/^addopts =/d' -i setup.cfg || die
-	distutils-r1_python_prepare_all
-}
-
-python_install_all() {
-	if use examples; then
-		docompress -x "/usr/share/doc/${PF}/examples"
-		dodoc -r examples
-	fi
-	distutils-r1_python_install_all
-}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/MechanicalSoup/
@ 2023-07-28 14:05 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2023-07-28 14:05 UTC (permalink / raw
  To: gentoo-commits

commit:     032ec9ed25d0900b5525b8904e8fd27ad576fe7c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 28 13:47:04 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jul 28 14:05:38 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=032ec9ed

dev-python/MechanicalSoup: Enable py3.12

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/MechanicalSoup/MechanicalSoup-1.3.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/MechanicalSoup/MechanicalSoup-1.3.0.ebuild b/dev-python/MechanicalSoup/MechanicalSoup-1.3.0.ebuild
index 2d889dc6917a..a17bf69731c3 100644
--- a/dev-python/MechanicalSoup/MechanicalSoup-1.3.0.ebuild
+++ b/dev-python/MechanicalSoup/MechanicalSoup-1.3.0.ebuild
@@ -5,7 +5,7 @@ EAPI=8
 
 DISTUTILS_USE_PEP517=setuptools
 PYPI_NO_NORMALIZE=1
-PYTHON_COMPAT=( pypy3 python3_{10..11} )
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
 
 inherit distutils-r1 pypi
 


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/MechanicalSoup/
@ 2024-06-14 15:55 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2024-06-14 15:55 UTC (permalink / raw
  To: gentoo-commits

commit:     d9e7d88b77b6f18696cb1dbcecf0b805872f79a3
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 14 15:16:59 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jun 14 15:54:46 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d9e7d88b

dev-python/MechanicalSoup: Enable py3.13

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/MechanicalSoup/MechanicalSoup-1.3.0.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-python/MechanicalSoup/MechanicalSoup-1.3.0.ebuild b/dev-python/MechanicalSoup/MechanicalSoup-1.3.0.ebuild
index a17bf69731c3..3c7f1d3ca288 100644
--- a/dev-python/MechanicalSoup/MechanicalSoup-1.3.0.ebuild
+++ b/dev-python/MechanicalSoup/MechanicalSoup-1.3.0.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
 DISTUTILS_USE_PEP517=setuptools
 PYPI_NO_NORMALIZE=1
-PYTHON_COMPAT=( pypy3 python3_{10..12} )
+PYTHON_COMPAT=( pypy3 python3_{10..13} )
 
 inherit distutils-r1 pypi
 


^ permalink raw reply related	[flat|nested] 23+ messages in thread

end of thread, other threads:[~2024-06-14 15:55 UTC | newest]

Thread overview: 23+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-01-05 22:05 [gentoo-commits] repo/gentoo:master commit in: dev-python/MechanicalSoup/ Michał Górny
  -- strict thread matches above, loose matches on Subject: below --
2024-06-14 15:55 Michał Górny
2023-07-28 14:05 Michał Górny
2023-07-05  6:19 Michał Górny
2023-07-05  6:19 Michał Górny
2022-11-14  4:44 Michał Górny
2022-09-22 10:29 Michał Górny
2022-06-17  6:40 Arthur Zamarin
2022-06-17  6:40 Arthur Zamarin
2021-10-17  7:24 Michał Górny
2021-08-07 12:36 Louis Sautier
2021-08-07 12:34 Louis Sautier
2021-05-30  8:14 Michał Górny
2020-10-21 19:21 Louis Sautier
2020-03-27 21:25 Michał Górny
2020-03-07 14:11 Louis Sautier
2020-03-07 14:11 Louis Sautier
2018-06-27 20:51 Louis Sautier
2018-06-27 20:51 Louis Sautier
2017-07-30  9:15 Michał Górny
2017-05-12 12:06 Manuel Rüger
2017-05-11 13:17 Manuel Rüger
2017-01-06  0:12 William Hubbs

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox